Bug 59934 - changing label of root prevents boot
changing label of root prevents boot
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-15 00:19 EST by Alexandre Oliva
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-21 09:51:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2002-02-15 00:19:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8) Gecko/20020204

Description of problem:
I like to have the label of each root filesystem indicate the OS that's
installed in there.  So, for enigma, after installation, I run tune2fs -L
enigma/ /dev/hda6, adjusted /etc/fstab and the system would just work next time.

Now, it appears that mkinitrd uses a disk label to mount /sysroot in linuxrc, so
adjusting /etc/fstab is no longer enough.  initrd.img must be rebuilt.

I see the value in this change, and I approve of it, but it would be nice to
have this more clearly stated in the release notes, and perhaps it would be
appropriate to print an error message suggesting that initrd may have to be
rebuilt in case mount /sysroot fails in linuxrc?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install hampton-beta1
2.tune2fs -L hampton/ /dev/<rootdevice>
3.modify /etc/fstab accordingly
4.reboot
	

Actual Results:  can't mount /sysroot, so pivot_rool fails

Expected Results:  it used to just work, but at least some warning pointing at
the need for rebuilding initrd after modifying the label would have saved me 4
installs in a row and a lot of grief, head scratching and hair pulling :-)

Additional info:
Comment 1 Jay Turner 2002-03-21 09:51:13 EST
This is confirmed with Beta 3 as well.  Too late to do something about this?
Comment 2 Jeremy Katz 2002-03-21 18:47:26 EST
Rerun mkinitrd if you do this.  Previous behavior was that if drive order
changed for whatever reason, you broke your system.  I think that label changing
is a far less common case.
Comment 3 Alexandre Oliva 2002-03-21 18:59:36 EST
Isn't it even worth printing a more clear message explaining what the problem
was, when we fail to remount root?

Note You need to log in before you can comment on or make changes to this bug.